## org.apache.poi.hssf.contrib.view
Class SVTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.apache.poi.hssf.contrib.view.SVTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

public class SVTableModel
extends javax.swing.table.AbstractTableModel

Sheet Viewer Table Model - The model for the Sheet Viewer just overrides things.

Author:
  Andrew C. Oliver
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`SVTableModel(HSSFSheet st)`
`SVTableModel(HSSFSheet st, int maxcol)`

Method Summary
`java.lang.Class` `getColumnClass(int c)`
`int` `getColumnCount()`
`int` `getRowCount()`
`java.lang.Object` `getValueAt(int row, int col)`
`boolean` `isCellEditable(int rowIndex, int columnIndex)`
`void` `setValueAt(java.lang.Object aValue, int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnName, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVTableModel

    public SVTableModel(HSSFSheet st,
                        int maxcol)

### SVTableModel

    public SVTableModel(HSSFSheet st)

Method Detail

### getColumnCount

    public int getColumnCount()

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

### getRowCount

    public int getRowCount()

### getColumnClass

    public java.lang.Class getColumnClass(int c)

### isCellEditable

    public boolean isCellEditable(int rowIndex,
                                  int columnIndex)

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int rowIndex,
                           int columnIndex)

Copyright © 2003 Apache Software Foundation.